use leptos::*;

#[component]
pub fn Timeline(
    children: Children
) -> impl IntoView {
    view! {
        <div class="w-full px-5">
            <ul class="list-none py-5 px-0 relative w-full max-w-5xl mx-auto before:top-0 before:bottom-0 before:left-0 before:md:left-1/2 before:absolute before:content-[""] before:w-2 before:bg-primary/10 before:dark:bg-dark_primary/10 before:shadow-md before:shadow-primary/5 before:dark:shadow-dark_primary/5">
                { children() }
            </ul>
        </div>
    }
}